API ReferenceCredential types
Create credential type
POST
Creates a new credential type in the requested ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREDENTIAL_CREATE_STARTECOSYSTEM_CREDENTIAL_CREATE_SUCCESSECOSYSTEM_CREDENTIAL_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
Format
uuidapplication/json- body
profile*CredentialProfileValue in
"compact""compact-semantic""web-semantic"type*stringname*stringThe name of the credential
Length
1 <= length <= 50Credential type created
application/json- response
id*stringUnique identifier for this credential type.
Format
uuidecosystemId*idThe UUID of the ecosystem.
Format
uuidprofile*CredentialProfileValue in
"compact""compact-semantic""web-semantic"type*stringname*stringThe name of the credential
Length
1 <= length <= 50curl -X POST 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/credentials' \ -H 'Content-Type: application/json' \ -d '{ "profile": "compact", "type": "DriverLicense", "name": "Driver'\''s License"}'{ "id": "599bf148-d711-405a-a20b-9c8a87ac8850", "ecosystemId": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "profile": "compact", "type": "DriverLicense", "name": "Driver's License"}How would you rate this page?